Loading...
Searching...
No Matches
boost Namespace Reference

## Classes

struct | hash< BALL::String >
struct | hash< BALL::Triple< T1, T2, T3 > >
struct | hash< BALL::Quadruple< T1, T2, T3, T4 > >
struct | hash< BALL::SortedPosition2 >
struct | hash< BALL::SortedPosition3 >
struct | hash< RTpieCpp::MeshHandle >
struct | hash< RTpieCpp::InstanceHandle >

## Enumerations

enum | vertex_atom_ptr_t { vertex_atom_ptr }
enum | vertex_orig_ptr_t { vertex_orig_ptr }
enum | edge_bond_ptr_t { edge_bond_ptr }
enum | edge_orig_ptr_t { edge_orig_ptr }
enum | vertex_bag_content_t { vertex_bag_content }
enum | vertex_bag_special_t { vertex_bag_special }
enum | vertex_bag_type_t { vertex_bag_type }

## Functions

| BOOST_INSTALL_PROPERTY (vertex, atom_ptr)
| BOOST_INSTALL_PROPERTY (vertex, orig_ptr)
| BOOST_INSTALL_PROPERTY (edge, bond_ptr)
| BOOST_INSTALL_PROPERTY (edge, orig_ptr)
| BOOST_INSTALL_PROPERTY (vertex, bag_content)
| BOOST_INSTALL_PROPERTY (vertex, bag_special)
| BOOST_INSTALL_PROPERTY (vertex, bag_type)

## Enumeration Type Documentation

## edge_bond_ptr_t

enum boost::edge_bond_ptr_t

Enumerator
edge_bond_ptr |

Definition at line 31 of file graphAlgorithms.h.

## edge_orig_ptr_t

enum boost::edge_orig_ptr_t

Enumerator
edge_orig_ptr |

Definition at line 32 of file graphAlgorithms.h.

## vertex_atom_ptr_t

enum boost::vertex_atom_ptr_t

Enumerator
vertex_atom_ptr |

Definition at line 28 of file graphAlgorithms.h.

## vertex_bag_content_t

enum boost::vertex_bag_content_t

Enumerator
vertex_bag_content |

Definition at line 43 of file treeWidth.h.

## vertex_bag_special_t

enum boost::vertex_bag_special_t

Enumerator
vertex_bag_special |

Definition at line 44 of file treeWidth.h.

## vertex_bag_type_t

enum boost::vertex_bag_type_t

Enumerator
vertex_bag_type |

Definition at line 45 of file treeWidth.h.

## vertex_orig_ptr_t

enum boost::vertex_orig_ptr_t

Enumerator
vertex_orig_ptr |

Definition at line 29 of file graphAlgorithms.h.

## Function Documentation

## BOOST_INSTALL_PROPERTY() [1/7]

boost::BOOST_INSTALL_PROPERTY | ( | edge | ,
|  | bond_ptr | )

## BOOST_INSTALL_PROPERTY() [2/7]

boost::BOOST_INSTALL_PROPERTY | ( | edge | ,
|  | orig_ptr | )

## BOOST_INSTALL_PROPERTY() [3/7]

boost::BOOST_INSTALL_PROPERTY | ( | vertex | ,
|  | atom_ptr | )

## BOOST_INSTALL_PROPERTY() [4/7]

boost::BOOST_INSTALL_PROPERTY | ( | vertex | ,
|  | bag_content | )

## BOOST_INSTALL_PROPERTY() [5/7]

boost::BOOST_INSTALL_PROPERTY | ( | vertex | ,
|  | bag_special | )

## BOOST_INSTALL_PROPERTY() [6/7]

boost::BOOST_INSTALL_PROPERTY | ( | vertex | ,
|  | bag_type | )

## BOOST_INSTALL_PROPERTY() [7/7]

boost::BOOST_INSTALL_PROPERTY | ( | vertex | ,
|  | orig_ptr | )